Name:           libqinfinity
Epoch:          1
Version:        0.5.2
Release:        1%{?dist}
Summary:        Qt bindings for libinfinity

License:        GPLv2
URL:            https://projects.kde.org/projects/playground/libs/libqinfinity
Source0:        http://download.kde.org/stable/%{name}/%{version}/src/%{name}-v%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  qt-devel
BuildRequires:  libinfinity-devel

%description
Qt wrapper around libinfinity, a library for collaborative editing

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-v%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
make %{?_smp_mflags}
popd


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc
%{_libdir}/*.so.*

%files devel
%doc AUTHORS COPYING README
%{_includedir}/libqinfinity
%{_libdir}/*.so


%changelog
* Wed Oct 30 2013 Jan Grulich <jgrulich@redhat.com> - 1:0.5.2-1
- libqinfinity 0.5.2

* Tue Sep 24 2013 Daniel Vrátil <dvratil@redhat.com> - 1:0.5.1
- libqinfinity 0.5.1

* Mon Aug 26 2013 Daniel Vrátil <dvratil@redhat.com> - 1:0.5.0
- libqinfinity 0.5.0

